using System.Collections.Generic;

namespace WindowsFormsApplication1.Entities
{
    public class EntityErrorCollection
    {
        public EntityErrorCollection()
        {
            PropertyErrors = new List<EntityErrorInfo>();
        }

        /// <summary>
        /// Gets or sets the property errors.
        /// </summary>
        public IList<EntityErrorInfo> PropertyErrors { get; private set; }

        /// <summary>
        /// Gets or sets the entity error.
        /// </summary>
        public string Error { get; set; }
    }
}